=== IsoSpecPy/Makefile ===
reinstall:
	rm -rf IsoSpecPy.egg-info build dist
	pip uninstall -y IsoSpecPy
	python setup.py install
