=== debian/changelog ===
isospec (1.9.1-5ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:05:12 +0100

isospec (1.9.1-5ubuntu1) focal; urgency=medium

  * Remove dependencies on python-dev, python-setuptools, afaict these were
    never needed but now they cause failure to build.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 27 Jan 2020 13:07:12 +1300

isospec (1.9.1-5build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:32:21 +0000

isospec (1.9.1-5) unstable; urgency=low

  * patch: Fix the IsoSpec++ build command line flags for riscv64 as it did not
    recognize the -march flag. I removed it, like I did before for m68k, for
    example.

  * patch: Remove the -march=native compile flag for IsoSpec++ as it is
    considered erroneous to use if cross-builds are performed (Debian QA
    error: E march-native).

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 06 Mar 2019 17:23:44 +0100

isospec (1.9.1-4) unstable; urgency=low

  * Remove -mtune -march build flags for the build of the C++ extension of the
    Python module.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 06 Mar 2019 14:56:10 +0100

isospec (1.9.1-3) unstable; urgency=low

  * Add ifeq statements in IsoSpec++/Makefile's patch to fix many 
    arch-specific problems with -march -mtune flags to the compiler 
    command line.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 06 Mar 2019 11:41:44 +0100

isospec (1.9.1-2) unstable; urgency=low

  * Fix Vcs URLs.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 06 Feb 2019 10:07:16 +0100

isospec (1.9.1-1) unstable; urgency=medium

  * Initial release (Closes: #916218).

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 19 Jan 2019 13:56:13 +0100
