=== debian/control ===
Source: isospec
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper (>= 11~),
               dh-python,
               dh-r,
               r-base-dev,
               r-cran-rcpp,
							 python3-dev,
               python3-setuptools,
               python3-cffi,
               doxygen,
               libjs-mathjax
Standards-Version: 4.3.0
Homepage: https://github.com/MatteoLacki/IsoSpec
Vcs-Browser: https://salsa.debian.org/debichem-team/isospec
Vcs-Git: https://salsa.debian.org/debichem-team/isospec.git

Package: libisospec++-dev
Section: libdevel
Architecture: any
Depends: libisospec++1 (= ${binary:Version}),
         ${misc:Depends}
Description: Isotopic fine structure calculator (C++ development files)
 IsoSpec implements an algorithm for fast computation of isotopologues of
 chemical substances that can alternate between joint probability and peak
 height threshold.
 .
 This package ships the development files.


Package: libisospec++1
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Isotopic fine structure calculator (C++ runtime)
 IsoSpec implements an algorithm for fast computation of isotopologues of
 chemical substances that can alternate between joint probability and peak
 height threshold.
 .
 This package ships the runtime shared library.


Package: libisospec++-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Isotopic fine structure calculator (C++ API documentation)
 IsoSpec implements an algorithm for fast computation of isotopologues of
 chemical substances that can alternate between joint probability and peak
 height threshold.
 .
 This package ships the developer documentation files.


Package: r-cran-isospec
Section: gnu-r
Architecture: any 
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends} 
Recommends: ${R:Recommends} 
Suggests: ${R:Suggests}
Description: Isotopic fine structure calculator for GNU R
 IsoSpec implements an algorithm for fast computation of isotopologues of
 chemical substances that can alternate between joint probability and peak
 height threshold.
 .
 This package ships the GNU R library.


Package: python3-isospec
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends}
Recommends: python3-scipy
Description: Isotopic fine structure calculator for Python 3
 IsoSpec implements an algorithm for fast computation of isotopologues of
 chemical substances that can alternate between joint probability and peak
 height threshold.
 .
 This package provides the package's Python 3 interface.
