=== IsoSpecR/DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Package: IsoSpecR
 Type: Package
 Title: The IsoSpec Algorithm
-Version: 1.9.1
-Date: 2018-11-14
+Version: 2.1.3
+Date: 2020-10-29
 Author: Mateusz Krzysztof Lacki and Michal Startek
 Maintainer: Matteo Lacki <matteo.lacki@gmail.com>
 Description: IsoSpec is a fine structure calculator used for obtaining the most
@@ -13,15 +13,19 @@
     multinomial distributions, each corresponding to one particular element and
     parametrized by the frequencies of finding these elements in nature. These
     numbers are supplied by IUPAC - the International Union of Pure and Applied
-    Chemistry.
+    Chemistry. See: Lacki, Valkenborg, Startek (2020) <DOI:10.1021/acs.analchem.0c00959>
+    and Lacki, Startek, Valkenborg, Gambin (2017) <DOI:10.1021/acs.analchem.6b01459>
+    for the description of the algorithms used.
 License: BSD_2_clause + file LICENCE
 URL: http://matteolacki.github.io/IsoSpec/
 Depends:
     R (>= 3.0.0)
 Imports:
     Rcpp (>= 0.12.0)
+Suggests:
+    testthat
 LazyData: no
 LinkingTo: Rcpp
 NeedsCompilation: yes
-SystemRequirements: C++11
-RoxygenNote: 5.0.1
+SystemRequirements: C++14
+RoxygenNote: 6.1.1
