=== debian/changelog ===
isospec (2.1.3-1) unstable; urgency=low

  * New upstream 2.1.3 release.

  * d/copyright: remove stanza on exclusion of files because these are now
    removed from upstream following my own recommendation, yay! Also, no more
    dfsg suffix to the package name.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 15 Oct 2020 16:04:44 +0200

isospec (2.1.2+dfsg1-3) unstable; urgency=low

  * Remove the r-cran-isospec package as it is alreay packaged by Dylan Aîssi
    <daissi@debian.org>. 
    See https://salsa.debian.org/r-pkg-team/r-cran-isospecr.

  * Closes: #962130 by Dylan Aîssi although we'll need to sort out
    how to provide the R package basing it on the R-cran repository 
    IsoSpecR package (see mail in the bug). Dylan, if you are listening,
    maybe you could open an ITP bug?

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 24 Aug 2020 12:59:00 +0200

isospec (2.1.2+dfsg1-2) unstable; urgency=low

  * Remove unversioned Python (Closes: #967147), thanks to 
    Matthias Klose <doko@debian.org> for the report. Nothing more to do than
    remove the python* build-depends packages.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 04 Aug 2020 18:10:59 +0200

isospec (2.1.2+dfsg1-1) unstable; urgency=low

  * Upstream 2.1.2 release (git commit :
    622281caab9d78a75379f56295204bd40a77e6f0;

  * New packaging with all the Filippo Rusconi's CMake-based build system
    integrated upstream and some last-moment patches.

  * Many other modifications to improve the quality of the package.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 20 Jul 2020 18:23:29 +0200

isospec (2.1.0+dfsg1-1) UNRELEASED; urgency=low

  * New upstream version.

  * Patches to implement more complete CMake-based build system,
    that upstream intends to adopt.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 08 Jun 2020 16:43:14 +0200

isospec (2.0.2+dfsg1-4) UNRELEASED; urgency=low

  * Multi-arch installment.

  *  /*attention check source-only-upload with
     dpkg-buildpackage --changes-option=-S */

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 08 Jun 2020 11:42:02 +0200

isospec (2.0.2+dfsg1-3) unstable; urgency=low

  *  Since July 2019, binaries uploaded by maintainers are not allowed to
     migrate to testing. In other words, packages must have source-only uploads
     before they can reach the next release
     (Thanks to Boyuan Yang <byang@debian.org> ; Closes: #961023).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 19 May 2020 16:10:00 +0200

isospec (2.0.2+dfsg1-2) unstable; urgency=low

  * Reinstate the -mtune -march build flags path for the
    build  of the C++ extension of the Python module. (Closes: #960340).
    Thanks to Sebastian Ramacher <sramacher@debian.org> for the bug report.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 13 May 2020 14:40:03 +0200

isospec (2.0.2+dfsg1-1) unstable; urgency=low

  * New upstream version including the CMakeLists.txt file that
    upstream accecpted from me (and also modified later).

  * Standards-Version: 4.5.0 (no changes needed).

  * Add d/watch.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 07 May 2020 11:07:23 +0200
