=== debian/control ===
Source: isospec
Section: science
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-exec (>= 0.3),
 dpkg-dev (>= 1.18.25),
 graphicsmagick-imagemagick-compat,
 cmake (>=3.12),
 d-shlibs (>= 0.48~),
 dh-python,
 python3-dev,
 python3-setuptools,
 python3-cffi,
 texlive-latex-base,
 texlive-latex-recommended,
 texlive-latex-extra,
 texlive-plain-generic,
 texlive-fonts-recommended,
 texlive-font-utils,
 ghostscript,
 doxygen,
 libjs-mathjax
Standards-Version: 4.5.0
Homepage: https://github.com/MatteoLacki/IsoSpec
Vcs-Browser: https://salsa.debian.org/debichem-team/isospec
Vcs-Git: https://salsa.debian.org/debichem-team/isospec.git

Package: libisospec++-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libisospec++2 (= ${binary:Version}),
         ${misc:Depends}
Recommends: libisospec++-doc
Description: Isotopic fine structure calculator (C++ development files)
 IsoSpec implements an algorithm for fast computation of isotopologues of
 chemical substances that can alternate between joint probability and peak
 height threshold.
 .
 This package ships the development files.


Package: libisospec++2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Replaces: libisospec++1
Breaks: libisospec++1
Suggests: libisospec++-doc
Description: Isotopic fine structure calculator (C++ runtime)
 IsoSpec implements an algorithm for fast computation of isotopologues of
 chemical substances that can alternate between joint probability and peak
 height threshold.
 .
 This package ships the runtime shared library.


Package: python3-isospec
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends}
Recommends: python3-scipy, libisospec++-doc
Description: Isotopic fine structure calculator for Python 3
 IsoSpec implements an algorithm for fast computation of isotopologues of
 chemical substances that can alternate between joint probability and peak
 height threshold.
 .
 This package provides the package's Python 3 interface.


Package: libisospec++-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Isotopic fine structure calculator (C++ API documentation)
 IsoSpec implements an algorithm for fast computation of isotopologues of
 chemical substances that can alternate between joint probability and peak
 height threshold.
 .
