=== IsoSpecR/DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Package: IsoSpecR
 Type: Package
 Title: The IsoSpec Algorithm
-Version: 2.1.3
-Date: 2020-10-29
+Version: 2.2.0
+Date: 2021-07-01
 Author: Mateusz Krzysztof Lacki and Michal Startek
 Maintainer: Matteo Lacki <matteo.lacki@gmail.com>
 Description: IsoSpec is a fine structure calculator used for obtaining the most
@@ -28,4 +28,4 @@
 LinkingTo: Rcpp
 NeedsCompilation: yes
 SystemRequirements: C++14
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1
