=== debian/changelog ===
isospec (2.2.1-4.1build2) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 11:54:37 +0100

isospec (2.2.1-4.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:25:59 +0000

isospec (2.2.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062459

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 11:50:05 +0000

isospec (2.2.1-4) unstable; urgency=low

  * Fixes as suggested by Janitor. See below.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 25 Aug 2023 12:18:04 +0200

isospec (2.2.1-3) unstable; urgency=low

  * Fix the Bug#1047034: isospec: Fails to build source after successful build
    by improving the override_dh_clean target in d/rules. Thanks to Lucas
    Nussbaum <lucas@debian.org> for reporting. Closes: #1047034.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 25 Aug 2023 11:42:48 +0200

isospec (2.2.1-2) UNRELEASED; urgency=medium

  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake, d-shlibs, dh-exec and
      dpkg-dev.

 -- Debian Janitor <janitor@jelmer.uk>  Mon, 31 Oct 2022 15:36:43 -0000

isospec (2.2.1-1) unstable; urgency=low

  * New upstream version.
  
  * Updates to patches.

  * Standards-Version: 4.6.1 (routine update).

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 12 Nov 2022 22:05:29 +0100
