=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: isospec
 Section: science
 Priority: optional
-Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Build-Depends: debhelper-compat (= 13),
- dh-exec (>= 0.3),
- dpkg-dev (>= 1.18.25),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+ dh-exec,
  graphicsmagick-imagemagick-compat,
- cmake (>=3.12),
- d-shlibs (>= 0.48~),
+ cmake,
+ d-shlibs,
  dh-python,
  python3-dev,
  python3-setuptools,
@@ -22,7 +22,7 @@
  ghostscript,
  doxygen,
  libjs-mathjax
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/MatteoLacki/IsoSpec
 Vcs-Browser: https://salsa.debian.org/debichem-team/isospec
 Vcs-Git: https://salsa.debian.org/debichem-team/isospec.git
@@ -31,7 +31,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libisospec++2 (= ${binary:Version}),
+Depends: libisospec++2t64 (= ${binary:Version}),
          ${misc:Depends}
 Recommends: libisospec++-doc
 Description: Isotopic fine structure calculator (C++ development files)
@@ -42,14 +42,15 @@
  This package ships the development files.
 
 
-Package: libisospec++2
+Package: libisospec++2t64
+Provides: ${t64:Provides}
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Replaces: libisospec++1
-Breaks: libisospec++1
+Replaces: libisospec++2, libisospec++1
+Breaks: libisospec++2 (<< ${source:Version}), libisospec++1
 Suggests: libisospec++-doc
 Description: Isotopic fine structure calculator (C++ runtime)
  IsoSpec implements an algorithm for fast computation of isotopologues of
